import 'package:flutter/material.dart';
import 'package:design_system/design_system.dart';
import 'package:core_localization/core_localization.dart';

class GetStartedActions extends StatelessWidget {
  final VoidCallback onSignUpPressed;
  final VoidCallback onLoginPressed;

  const GetStartedActions({
    super.key,
    required this.onSignUpPressed,
    required this.onLoginPressed,
  });

  @override
  Widget build(BuildContext context) {
    final TranslationsStaffAuthenticationGetStartedPageEn i18n =
        t.staff_authentication.get_started_page;

    return Column(
      crossAxisAlignment: CrossAxisAlignment.stretch,
      spacing: UiConstants.space4,
      children: <Widget>[
        UiButton.primary(onPressed: onSignUpPressed, text: i18n.sign_up_button),
        UiButton.secondary(onPressed: onLoginPressed, text: i18n.log_in_button),
      ],
    );
  }
}
